|  | Home |

# QMailContentManagerFactory Class Reference

The QMailContentManagerFactory class creates objects implementing the QMailContentManager interface. More...

        #include <QMailContentManagerFactory>

- List of all members, including inherited members

## Static Public Members

void | clearContent ()
QMailContentManager * | create ( const QString & scheme )
QString | defaultFilterScheme ()
QString | defaultIndexerScheme ()
QString | defaultScheme ()
bool | init ()
QStringList | schemes ()

## Detailed Description

The QMailContentManagerFactory class creates objects implementing the QMailContentManager interface.

The QMailContentManagerFactory class creates objects that manage the storage and retrieval of message content via the QMailContentManger interface. The factory allows implementations to be loaded from plugin libraries, and to be retrieved by the name of the content management scheme they implement.

To create a new class that can be created via the QMailContentManagerFactory, implement a plugin that derives from QMailContentManagerPlugin.

See also QMailContentManager and QMailContentManagerPlugin.

## Member Function Documentation

### void QMailContentManagerFactory::clearContent () `[static]`

Clears the content managed by all content managers known to the factory.

### QMailContentManager * QMailContentManagerFactory::create ( const QString & scheme ) `[static]`

Creates a content manager object for the scheme identified by scheme.

### QString QMailContentManagerFactory::defaultFilterScheme () `[static]`

Returns the default filter content manager scheme for filtering supported by the factory. Returns an empty string if none are found.

### QString QMailContentManagerFactory::defaultIndexerScheme () `[static]`

Returns the default content indexing scheme supported by the factory. Returns an empty string if none are found.

### QString QMailContentManagerFactory::defaultScheme () `[static]`

Returns the default content management scheme supported by the factory.

### bool QMailContentManagerFactory::init () `[static]`

Performs any initialization tasks for content managers known to the factory. Returns false if any content managers are unable to perform initialiation tasks.

### QStringList QMailContentManagerFactory::schemes () `[static]`

Returns a list of all content management schemes for which content manager objects can be instantiated by the factory.